Bu sayfayı kendi dilinde görüntüleyebilirsin.Değiştir
You can view this page in your own language.Switch
Du kannst diese Seite in deiner Sprache ansehen.Wechseln
Puedes ver esta página en tu idioma.Cambiar
Tu peux consulter cette page dans ta langue.Changer
Je kunt deze pagina in je eigen taal bekijken.Wisselen
Możesz zobaczyć tę stronę w swoim języku.Zmień
Du kan se den här sidan på ditt eget språk.Byt
Você pode ver esta página no seu idioma.Trocar
आप यह पेज अपनी भाषा में देख सकते हैं।बदलें
Kamu bisa melihat halaman ini dalam bahasamu.Ganti
이 페이지를 사용하는 언어로 볼 수 있어요.바꾸기
このページはあなたの言語で表示できます。切り替える
يمكنك عرض هذه الصفحة بلغتك.تغيير
Sei nuovo?

Usiamo i cookie

I cookie e la memoria del browser fanno funzionare questo sito e, se lo consenti, ne misurano l’utilizzo. Puoi in qualsiasi momento. Scopri di più nella nostra informativa sui cookie.

Sviluppatori

Porta l’assistente nella tua app, nel tuo client MCP o sul tuo sito. Ovunque costa come nella chat.

POST/api/v1/conversations

Avvia una chat: { text, locale?, model?, tools? } — con tools chiedi prezzi crypto, analisi tecnica o ricerca web.

tools
Richiesta reale: il messaggio si paga con i tuoi crediti. (1 credito)
Codice
curl -X POST "https://cryptoprice.pro/api/v1/conversations" \
  -H "Authorization: Bearer sk_..." \
  -H "Content-Type: application/json" \
  -d '{"text":"…","locale":"it"}'

Corpo della risposta

La risposta apparirà qui.

Documentazione

Strumenti crypto

Gli strumenti crypto della chat sono anche nell’API: prezzo, panoramica del mercato, analisi tecnica, candele, order book, confronto tra exchange, funding rate, convertitore e ricerca web. Aggiungili con il campo tools; gli strumenti attivi e i loro costi si elencano con GET /api/v1/tools.

curl -X POST https://cryptoprice.pro/api/v1/conversations   -H "Authorization: Bearer sk_..."   -H "Content-Type: application/json"   -d '{"text": "BTC and ETH price, 4h technical analysis and the cheapest exchange", "tools": ["crypto_price", "crypto_technical_analysis", "crypto_compare_exchanges"]}'

# GET /api/v1/conversations/{id}
{
  "pending": false,
  "messages": [
    { "role": "assistant", "content": "| Coin | Price | 24h | Signal | … |" }
  ]
}

# GET /api/v1/tools → open tools and their credit cost
[{ "name": "crypto_price", "credits": 0, "unit": "call", "pro": false }, …]